Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class GTFInputInterval29

    java.lang.Object
      calhoun.analysis.crf.io.GTFInputInterval13
          calhoun.analysis.crf.io.GTFInputInterval29

All Implemented Interfaces:
  TrainingSequenceIO, java.io.Serializable

    public class GTFInputInterval29

extends GTFInputInterval13

See Also:
  Serialized Form

Constructor Summary
`GTFInputInterval29()`

Method Summary
`void` | `readTrainingSequences(java.lang.Object location, java.util.List<TrainingSequence<java.util.Map<java.lang.String,java.lang.Object>>> seqs)` reads training sequences from the specified location.

Methods inherited from class calhoun.analysis.crf.io.GTFInputInterval13
`getNameComponent, setNameComponent, writeTrainingSequences`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GTFInputInterval29

    public GTFInputInterval29()

Method Detail

### readTrainingSequences

    public void readTrainingSequences(java.lang.Object location,
                                      java.util.List<TrainingSequence<java.util.Map<java.lang.String,java.lang.Object>>> seqs)
                               throws java.io.IOException

  Description copied from interface: `TrainingSequenceIO`
  reads training sequences from the specified location.

  Specified by:
    `readTrainingSequences` in interface `TrainingSequenceIO`
  Overrides:
    `readTrainingSequences` in class `GTFInputInterval13`
  Parameters:
    `location` - location of the training sequences. Meaning is implementation dependent.
    `seqs` - a list of the input sequences to which hidden sequences should be added. Each hidden sequence is an array of integers containing hidden state indices.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD